<?php 
//Incluímos inicialmente la conexión a la base de datos
require "../config/Conexion.php";

Class Area
{
	//Implementamos nuestro constructor
	public function __construct()
	{

	}

	//Implementamos un método para insertar registros
	public function insertar($nombre_a,$sigla)
	{
		$sql="INSERT INTO area (nombre_a,sigla)
		VALUES ('$nombre_a','$sigla')";
		return ejecutarConsulta($sql);
	}

	//Implementamos un método para editar registros
	public function editar($idarea,$nombre_a,$sigla)
	{
		$sql="UPDATE area SET nombre_a='$nombre_a',sigla='$sigla' WHERE idarea='$idarea'";
		return ejecutarConsulta($sql);
	}

	//Implementamos un método para eliminar categorías
	public function eliminar($idarea)
	{
		$sql="DELETE FROM area WHERE idarea='$idarea'";
		return ejecutarConsulta($sql);
	}

	//Implementar un método para mostrar los datos de un registro a modificar
	public function mostrar($idarea)
	{
		$sql="SELECT * FROM area WHERE idarea='$idarea'";
		return ejecutarConsultaSimpleFila($sql);
	}

	//Implementar un método para listar los registros
	public function listarA($idarea)
	{
		$sql="SELECT * FROM area ";
		return ejecutarConsulta($sql);		
	}

	//Implementar un método para listar los registros 
	//public function listarc()
	//{
	//	$sql="SELECT * FROM persona WHERE tipo_persona='Cliente'";
	//	return ejecutarConsulta($sql);		
	//}
}

?>